﻿@model List<SportsClub.Areas.Dashboard.Models.DashboardMenuItemViewModel>

@{
    Layout = null;
}

<div class="blade-bar">
    <a ng-click="MC.closeBlade(step)">
        <i class="icon-cancel-2"></i>
    </a>
    <a ng-click="step.isExpanded = false">
        <i class="icon-minus-2"></i>
    </a>
    <div class="clearfix"></div>
</div>

<h3 class="blade-title show-in-collapse-mode">
    <a class="fg-white title show-in-collapse-mode" ng-click="step.isExpanded = true">Jumbula home site</a>
</h3>

<ul class="list">
    @foreach (var menuItem in Model)
    {
        <li ng-class="{active: MC.activeSection == '@menuItem.Name' }">
            @switch (menuItem.Type)
            {
                case MenuLinkType.SubMenu:
                    {
                        <a class="blade-item-title" ui-sref="@menuItem.Link" ng-click="MC.activeSection = '@menuItem.Name'">
                            <i class="@menuItem.Icon on-left-more"></i>
                            @menuItem.Title
                        </a>
                    }
                    break;
                case MenuLinkType.ExternalLink:
                    {
                        <a class="blade-item-title" target="_blank" href="@menuItem.Link">
                            <i class="@menuItem.Icon on-left-more"></i>
                            @menuItem.Title
                        </a>
                    }
                    break;
                case MenuLinkType.FromDb:
                    break;
                case MenuLinkType.Action:
                    break;
                default:
                    break;
            }

        </li>

    }

</ul>
